# Returns task list templates for a task bundle.

GET https://api.awork.com/api/v1/taskbundles/{taskBundleId}/tasklisttemplates

Returns task list templates for a task bundle. The response includes the list template configuration. <Check title="Required Permissions" icon="key">The user must have permission to access the requested resource.</Check>

## Request example

```sh
curl -X GET --globoff 'https://api.awork.com/api/v1/taskbundles/{taskBundleId}/tasklisttemplates' \
  -H 'Authorization: Bearer <token>'
```

- path parameter `taskBundleId`: string (required). The id of the task bundle.

- query parameter `page`: integer. Page number for pagination

- query parameter `pageSize`: integer. Number of items per page

- query parameter `orderby`: string. The properties to order by

- query parameter `filterby`: string. The filter expression to filter by

## Response 200

OK

application/json

```json
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "createdOn": "2021-03-22T15:00:00Z",
    "createdBy": "123e4567-e89b-12d3-a456-426614174000",
    "updatedOn": "2021-03-22T16:30:00Z",
    "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Product and Marketing To-Dos",
    "order": 2,
    "plannedDuration": 1,
    "totalPlannedDuration": 1,
    "totalPlannedDurationWithHierarchy": 1,
    "isArchived": false,
    "isHiddenForConnectUsers": true
  }
]
```

## Response 404

Not Found

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
